# MCA Signatories

Fetch director or partner details of registered companies or LLPs from MCA records to ensure authenticity and support reliable business KYC.

### mca\_signatories

`POST` `https://secctrl.tutelar.io/api/v1/services/business_profile/mca_signatories`

#### Sample Request Body

| Body        | Type   | Mandatory | Description |
| ----------- | ------ | --------- | ----------- |
| cin\_number | string | Yes       | CIN Number  |
| consent     | string | Yes       | Consent     |

#### Sample Post Parameters

```json
{
  "cin_number": "U64201TN2022PTC154526",
  "consent": "Y"
}
```

#### Responses

<details>

<summary>200: Success Response</summary>

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "10dcc1de-54ef-4c34-8826-e6bc4f6644bb",
  "status": "completed",
  "result": [
    {
      "dinOrDpinOrPan": "09701508",
      "fullName": "MUZAMMIL",
      "designation": "WHOLE-TIME DIRECTOR",
      "dateOfAppointment": "10/08/2022",
      "dscExpiryDate": "",
      "wheatherDscRegistered": "No",
      "address": "4/18 PUDUR ,M V KUPPAM MELVAITHINANKUPPAM AMBUR ,VELLORE ,Tamil Nadu ,635805 ,India"
    },
    {
      "dinOrDpinOrPan": "09701509",
      "fullName": "AKBAR BASHA MUDHARSEER",
      "designation": "MANAGING DIRECTOR",
      "dateOfAppointment": "10/08/2022",
      "dscExpiryDate": "",
      "wheatherDscRegistered": "No",
      "address": "4/18 PUDUR ,M V KUPPAM PERNAMBUT ,AMBUR ,Tamil Nadu ,635805 ,India"
    }
  ],
  "requested_at": "2026-05-14T09:20:13.155Z",
  "completed_at": "2026-05-14T09:20:29.877Z"
}
```

</details>

<details>

<summary>200: In progress</summary>

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
  "status": "in_progress",
  "requested_at": "2026-05-08T07:33:29.760Z"
}
```

</details>

<details>

<summary>400: Validation Error Response</summary>

```json
{
  "success": false,
  "code": 400,
  "message": "CIN Number should not be empty",
  "error": {
    "message": "CIN Number should not be empty",
    "field": "cin_number",
    "code": "BAD_REQUEST"
  }
}
```

</details>

<details>

<summary>200: Failure Response</summary>

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "bcf66453-586e-478b-8cb6-72c8d7aede38",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2026-05-14T09:23:00.656Z",
  "completed_at": "2026-05-14T09:23:12.842Z"
}
```

</details>

### Get details

`GET` `https://secctrl.tutelar.io/api/v1/services/business_profile/mca_signatories`

#### Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

#### Responses

<details>

<summary>200: Success Response</summary>

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "10dcc1de-54ef-4c34-8826-e6bc4f6644bb",
  "status": "completed",
  "result": [
    {
      "dinOrDpinOrPan": "09701508",
      "fullName": "MUZAMMIL",
      "designation": "WHOLE-TIME DIRECTOR",
      "dateOfAppointment": "10/08/2022",
      "dscExpiryDate": "",
      "wheatherDscRegistered": "No",
      "address": "4/18 PUDUR ,M V KUPPAM MELVAITHINANKUPPAM AMBUR ,VELLORE ,Tamil Nadu ,635805 ,India"
    },
    {
      "dinOrDpinOrPan": "09701509",
      "fullName": "AKBAR BASHA MUDHARSEER",
      "designation": "MANAGING DIRECTOR",
      "dateOfAppointment": "10/08/2022",
      "dscExpiryDate": "",
      "wheatherDscRegistered": "No",
      "address": "4/18 PUDUR ,M V KUPPAM PERNAMBUT ,AMBUR ,Tamil Nadu ,635805 ,India"
    }
  ],
  "requested_at": "2026-05-14T09:20:13.155Z",
  "completed_at": "2026-05-14T09:20:29.877Z"
}
```

</details>

<details>

<summary>200: Inprogress Response</summary>

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
  "status": "in_progress",
  "requested_at": "2026-05-08T07:33:29.760Z"
}
```

</details>

<details>

<summary>200: Failure Response</summary>

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "bcf66453-586e-478b-8cb6-72c8d7aede38",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2026-05-14T09:23:00.656Z",
  "completed_at": "2026-05-14T09:23:12.842Z"
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/mca-signatories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
